# The SilverCart Handbook

![](_images/silvercarthandbook.png) 

 * [Email Management](01-Email-Management#email-management)
   * [Where are the email templates located?](01-Email-Management#where-are-the-email-templates-located)
   * [How can I change email templates?](01-Email-Management#how-can-i-change-email-templates)
   * [How can I read contact form messages?](01-Email-Management#how-can-i-read-contact-form-messages)
 * [Modules for SilverCart](Modules-for-SilverCart/#modules-for-silvercart)
   * [Payment Modules](Modules-for-SilverCart/Payment-Modules/#payment-modules)
   * [Cross selling](Modules-for-SilverCart/1-Cross-selling#cross-selling)
   * [Ekomi Ratings](Modules-for-SilverCart/2-Ekomi-Ratings#ekomi-ratings)
   * [Graduated Prices](Modules-for-SilverCart/3-Graduated-Prices#graduated-prices)
 * [Product Management](02-Product-Management#product-management)
   * [Adding a Single Product](02-Product-Management/Adding-a-Single-Product#adding-a-single-product)
 * [Search Engine Optimization](03-Search-Engine-Optimization#search-engine-optimization)
   * [The segments of a product's URL](03-Search-Engine-Optimization#the-segments-of-a-product-s-url)
 * [Tax Handling](04-Tax-Handling#tax-handling)
   * [b2b or b2c, that is the question!](04-Tax-Handling#b2b-or-b2c-that-is-the-question)
 * [Order Management](05-Order-Management#order-management)
 * [Customer Management](06-Customer-Management#customer-management)
   * [The Registration Process](06-Customer-Management#the-registration-process)
   * [Creating an Administrator](06-Customer-Management#creating-an-administrator)
   * [Anonymous Customers](06-Customer-Management#anonymous-customers)
   * [Customer Categories](06-Customer-Management#customer-categories)
 * [SilverCart's System Updates](07-SilverCart's-System-Updates#silvercart-s-system-updates)
 * [Shipping Fee Management](Shipping-Fee-Management/#shipping-fee-management)
   * [The State On a fresh SilverCart Installation](Shipping-Fee-Management/#the-state-on-a-fresh-silvercart-installation)
   * [Adding Your Own Shipping Fees](Shipping-Fee-Management/#adding-your-own-shipping-fees)
   * [Import & Export](Shipping-Fee-Management/1-Import-and-Export#import-and-export)
 * [Stock Management](08-Stock-Management#stock-management)
   * [Examples](08-Stock-Management#examples)
 * [Customers private Area "MyAccount"](09-Customers-private-Area-MyAccount#customers-private-area-myaccount)
   * [Orders](09-Customers-private-Area-MyAccount#orders)
   * [Addresses](09-Customers-private-Area-MyAccount#addresses)
   * [Personal Data](09-Customers-private-Area-MyAccount#personal-data)
 * [Widgets](10-Widgets#widgets)
   * [Assigning a widget group to a page](10-Widgets#assigning-a-widget-group-to-a-page)
   * [The widgets en detail](10-Widgets#the-widgets-en-detail)
 * [General Configuration](11-General-Configuration#general-configuration)
   * [Email Sender](11-General-Configuration#email-sender)
   * [Global email receipient](11-General-Configuration#global-email-receipient)
   * [The Tab Test Data](11-General-Configuration#the-tab-test-data)
   * [Default Currency](11-General-Configuration#default-currency)
   * [Minimum Order Value](11-General-Configuration#minimum-order-value)
   * [Price Types](11-General-Configuration#price-types)
   * [Products per Page](11-General-Configuration#products-per-page)
   * [Product Groups per Page](11-General-Configuration#product-groups-per-page)
   * [Default Product Image](11-General-Configuration#default-product-image)
   * [Apache Solr Search](11-General-Configuration#apache-solr-search)
   * [Stock Management](11-General-Configuration#stock-management)
   * [Enable SSL](11-General-Configuration#enable-ssl)
 * [Contact Messages](12-Contact-Messages#contact-messages)
 * [Deeplinks](13-Deeplinks#deeplinks)
   * [What is a deep link?](13-Deeplinks#what-is-a-deep-link)
   * [What can happen when an external referer uses a deep link?](13-Deeplinks#what-can-happen-when-an-external-referer-uses-a-deep-link)
   * [How to set up a deep link](13-Deeplinks#how-to-set-up-a-deep-link)
 * [Inbound shopping cart transfer](14-Inbound-shopping-cart-transfer#inbound-shopping-cart-transfer)
   * [What is an inbound shopping cart transfer good for?](14-Inbound-shopping-cart-transfer#what-is-an-inbound-shopping-cart-transfer-good-for)
   * [How does Silvercart support inbound shopping cart transfers?](14-Inbound-shopping-cart-transfer#how-does-silvercart-support-inbound-shopping-cart-transfers)
   * [How can I configure an inbound shopping cart transfer?](14-Inbound-shopping-cart-transfer#how-can-i-configure-an-inbound-shopping-cart-transfer)
   * [What about security?](14-Inbound-shopping-cart-transfer#what-about-security)